Encoding & Crypto — Guides & Articles
Punycode Converter Cheat Sheet: RFC 3492 Rules and Limits
Published 2026-09-29
Punycode converter cheat sheet covering RFC 3492 Bootstring constants (base 36, tmin 1, initial bias 72), the xn-- label prefix rule, accepted inputs, and…
Check Password Length in JavaScript: Code and Local Audit
Published 2026-09-29
Practical ways to check password length in JavaScript: the .length property, Unicode code points, and a local NIST-aligned Password Strength Checker.
Password Generator API Alternative: A Local CSPRNG Tool
Published 2026-09-29
Looking for a password generator API alternative? This browser-based tool runs entirely on your device with a CSPRNG, so no endpoint, rate limits, or server…
HTML Escape Large Text: What Changes at Scale
Published 2026-09-29
HTML escape on large text needs the right mode. Compare basic and non-ASCII encoding, learn the input limit, and keep content in your browser.
HMAC Generator Cheat Sheet: Hash, Encoding, Output Rules
Published 2026-09-29
HMAC generator cheat sheet: SHA-256/384/512 selection, UTF-8 vs hex input, hex vs Base64 output, RFC 4231 vectors, and the most common tag-mismatch causes.
Hill Cipher Decoder Explained: How the Math Works
Published 2026-09-28
Understand how a Hill cipher decoder works with the mod-26 matrix formula, A=0 to Z=25 mapping, column-vector pairs, and the X padding rule for odd plaintext.
Gzcompress Online on Mac: Run It in Safari or Chrome
Published 2026-09-28
Safely run gzcompress online on Mac using Safari or Chrome. Compress UTF-8 text to Base64-wrapped gzip bytes or reverse the process — no Terminal, no upload.
Convert a File to Base64 on Mac Without Uploading
Published 2026-09-28
Convert a file to Base64 on Mac in Safari or Chrome without uploading. Get canonical RFC 4648 output up to 10 MB and decode Base64 back into a downloadable…
CRC32 Calculator API Alternative: Run Locally in Browser
Published 2026-09-28
Replace remote CRC32 APIs with a local CRC-32/ISO-HDLC calculator. No signup, rate limits, or uploads — paste UTF-8 text or hex, copy eight hex digits.
How to Calculate a BCC Checksum for Beginners
Published 2026-09-27
New to BCC checksums? Learn what a Block Check Character is, how the XOR-8 formula works, and how to calculate one for your own bytes in seconds.